CoolPreviews2 version Française pour Firefox 48.0 et +

Publié le par Wullfk

CoolPreviews2 en Français pour Firefox 48.0 et +

CoolPreviews2 en Français pour Firefox 48.0 et +

Bonsoir,

Dans un précédent article (ICI), je vous est fournis la procédure pour faire fonctionner le module d'extension CoolPreviews sur Firefox 48 et ultérieur, moyennant l'installation d'un Patch pour Firefox.

L'extension n'étant plus disponible sur Mozilla, et n'est plus supporté par l'éditeur cooliris.com il faut sans remettre au téléchargement d'un fichier .xpi préalablement modifié pour pouvoir l'installer sur Firefox 48 et supérieur

Vu le succès de ce module, j'ai entrepris de lui redonner vie de façon officiel dans le catalogue Mozilla.

J'ai donc repris le fichier .xpi de la version 4.6 modifié que j'ai recompiler et débarrasser des éléments qui ne seraient pas passer au près du service de contrôle de Mozilla, intégré la prise en charge du multiprocesseur, supprimé le moteur de recherche Ask.com et j'ai ajouté 3 moteurs de recherche sécurisé.

À part ça tout est strictement identique à la version d'origine

Mais je ne me suis pas arrêté là, puisque à coté de ma version CoolPreviews2-5.1 en Anglais, j'ai créé une version avec un interface de réglage en Français. (CoolPreviews2-5.8)

Je ne suis pas partie d'une feuille vierge, j'ai simplement repris les deux principaux fichier .xul, et j'ai traduit ligne par ligne tous ce qui pouvait l'être et j'ai ajouter l'encodage ISO-8859-1 pour la prise en charge des caractères accentués

Le seul frein à ce travaille de traduction, concernait certains fichiers javascript ou j'avais des problèmes de prise en compte des caractères accentués propre à langue de Molière, une histoire d'encodage UTF-8 ou ISO-8859-1

Le problème a été résolu grâce à l'intervention de Sylvain (administrateur du site Tutoriaux-Excalibur)

Merci à lui ;)

Concernait notamment la traduction des fonctionnalités des boutons de cette barre d'outils :

Les captures d'écran ci-dessous montre le panneau de contrôle et les trois onglets des paramètres utilisateurs en Français.

Les deux versions ont été proposées à la validation sur Mozilla, malheureusement la version Anglaise (5.1) à été retiré de Mozilla car elle n'a pas obtenue la validation. Je ne manquerais pas de mettre le lien officiel de la version Fr (5.7) quand le module sera validé.

Ceci dit si vous souhaitez à tout prix utiliser l'une ou l'autre version, je met à disposition le téléchargement des deux fichiers .xpi (5.1 = En / 5.8 = Fr)

Si vous n'arrivez pas à installer l'extension et que vous obtenez le message suivant :

Installez le Patch Firefox

Ensuite installé CoolPreviews2 de la façon que vous voulez
À ce stade il ne dois pas y avoir de problème

Après redémarrage pour la prise en compte du module, fermer Firefox et supprimer les deux fichiers du patch.

Redémarrer Firefox, et vous constaterez que le module CoolPreviews2 est toujours présent et fonctionnel. Normalement cette procédure n'aura plus lieu d'être lorsque l'extension aura passé la validation de Mozilla.

03/11/2016 : l'extension n'a pas passé la validation de Mozilla
 
La solution proposé par Mozilla, c'est le déréférencement du module proposé, de ce fait il n'est pas listé dans le catalogue Mozilla, mais c'est là toute la différence, c'est qu'il obtiens quand même le statut "approuvé" par Mozilla.

Concrètement qu'est que ça veut dire ?

Je pense que lors de l'installation via le fichier .xpi et donc en dehors du catalogue Mozilla ça ne doit pas afficher l'avertissement comme quoi le module n'a pas été vérifié par Mozilla.

À vérifier....

Publié dans Navigateur

Commenter cet article

Georges 31/12/2016 16:22

Hi, I've uploaded coolpreviews2-5.8 on my MacBook Pro. But I can't find any application to open and install it! So what to do? Que faire ?

Wullfk 03/01/2017 18:47

Bonjour,
Faire glisser le fichier .xpi de l'extension dans Firefox

Markco 20/09/2016 04:54

bonjour, extension incompatible avec le multi-process de firefox

Wullfk - Admin 20/09/2016 15:29

Pourtant d'après la validation Mozilla elle est bien compatible, de plus chez moi sur Firefox 45 ESR et 48.0.2 elle est bien notifié compatible.